Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get team

GET/workspaces/{organizationId}/teams/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Team

idstringrequired
organizationIdstringrequired
keystringrequired
namestringrequired
ownerIdstringrequired
isDefaultbooleanrequired
isPublicbooleanrequired
parentAutoClosebooleanrequired
triageAssigneeIdstring | nullrequired
triageAgentIdstring | nullrequired
defaultTemplateIdstring | nullrequired
defaultRepostring | nullrequired
subIssueAutoClosebooleanrequired
createdAtstringrequired
updatedAtstringrequired
404

Team not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/teams/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "key": "string",
  "name": "string",
  "ownerId": "string",
  "isDefault": true,
  "isPublic": true,
  "parentAutoClose": true,
  "triageAssigneeId": "string",
  "triageAgentId": "string",
  "defaultTemplateId": "string",
  "defaultRepo": "string",
  "subIssueAutoClose": true,
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?